Skip to main content
GET
/
policies
/
usage-limits
/
{policyUsageLimitsId}
/
entities
List Usage Limits Policy Entities
curl --request GET \
  --url https://api.portkey.ai/v1/policies/usage-limits/{policyUsageLimitsId}/entities \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/policies/usage-limits/{policyUsageLimitsId}/entities"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/policies/usage-limits/{policyUsageLimitsId}/entities', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "value_key": "<string>",
      "current_usage": 123
    }
  ],
  "total": 123
}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

policyUsageLimitsId
string<uuid>
required

Usage limits policy UUID

Query Parameters

status
enum<string>

Filter by entity usage status

Available options:
active,
exhausted

Filter entities by value key

page_size
integer

Number of items per page

Required range: 1 <= x <= 100
current_page
integer

Current page number

Required range: x >= 0

Response

List of entities for the policy

object
string
Example:

"list"

data
object[]
total
integer

Total number of entities

Last modified on June 18, 2026